Name:           rpmlint
Version:        0.83
Release:        1%{?dist}
Summary:        Tool for checking common errors in RPM packages

Group:          Development/Tools
License:        GPLv2
URL:            http://rpmlint.zarb.org/
Source0:        http://rpmlint.zarb.org/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.config
Source2:        %{name}-CHANGES.package.old
Patch0:         %{name}-0.78-distregex.patch
Patch1:         %{name}-0.77-compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python >= 2.2
BuildRequires:  rpm-python
BuildRequires:  sed >= 3.95
Requires:       rpm-python
Requires:       python >= 2.2
Requires:       cpio
Requires:       binutils
Requires:       desktop-file-utils
Requires:       file

%description
rpmlint is a tool for checking common errors in RPM packages.  Binary
and source packages can be checked.


%prep
%setup -q
%patch0
%patch1
sed -i -e /MenuCheck/d Config.py
install -pm 644 %{SOURCE2} CHANGES.package.old


%build
make


%install
rm -rf $RPM_BUILD_ROOT
touch rpmlint.pyc rpmlint.pyo # just for the %%exclude to work everywhere
make install DESTDIR=$RPM_BUILD_ROOT ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} \
  LIBDIR=%{_datadir}/rpmlint BINDIR=%{_bindir}
echo "# Add local system wide rpmlint configuration here." \
  > $RPM_BUILD_ROOT%{_sysconfdir}/rpmlint/config
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/rpmlint/config


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog CHANGES.package.old README
%config(noreplace) %{_sysconfdir}/rpmlint/
%{_sysconfdir}/bash_completion.d/
%{_bindir}/rpmdiff
%{_bindir}/rpmlint
%{_datadir}/rpmlint/
%exclude %{_datadir}/rpmlint/rpmlint.py[co]
%{_mandir}/man1/rpmlint.1*


%changelog
* Tue May 27 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.83-1
- 0.83, fixes #237204, #428096, #430206, #433783, #434694, #444441.
- Fedora licensing patch applied upstream.
- Move pre-2007 changelog entries to CHANGES.package.old.
- Sync Fedora license list with Revision 0.88.

* Tue May 20 2008 Todd Zullinger <tmz@pobox.com> 
- Sync Fedora license list with Revision 0.83 (Wiki rev 131).

* Mon Mar  3 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.82-3
- Sync Fedora license list with Revision 0.69 (Wiki rev 110) (#434690).

* Thu Dec  6 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.82-2
- Remove leftover "Affero GPL" from last license list sync (Todd Zullinger).

* Thu Dec  6 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.82-1
- 0.82, fixes #362441, #388881, #399871, #409941.
- Sync Fedora license list with Revision 0.61 (Wiki rev 98).

* Fri Sep 28 2007 Todd Zullinger <tmz@pobox.com>
- Sync Fedora license list with Revision 0.55 (Wiki rev 92).

* Mon Sep  3 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.81-1
- 0.81, fixes #239611, #240840, #241471, #244835.
- Improve Fedora license check (Todd Zullinger).
- Sync Fedora license list with Wiki rev 87.

* Wed Aug 29 2007 Ville Skyttä <ville.skytta at iki.fi>
- Sync Fedora license list with Wiki rev 84 (Todd Zullinger).

* Thu Aug 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.80-3
- Sync Fedora license list with Wiki rev 68.
- Move pre-2006 changelog entries to CHANGES.package.old.

* Tue Jul 31 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.80-2
- new fedora licensing scheme

* Thu May 31 2007 Ville Skyttä <ville.skytta at iki.fi>
- Filter hardcoded-library-path errors for /lib/udev.

* Thu Apr 12 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.80-1
- 0.80, fixes #227389, #228645, #233795.
- Accept "Redistributable, no modification permitted" as a valid license.
- Filter messages about doc file dependencies on /bin/sh.
- Add missing dependency on file.

* Fri Feb  2 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.79-1
- 0.79, fixes #211417, #212491, #214605, #218250, #219068, #220061, #221116,
  #222585, and #226879.
- Accept *.elX disttags in default config.
